<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" 
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="_layout">
    <head> <title>Update Notes Form</title> </head>
    <body>
        <div layout:fragment="content">            
            <div class="container">                
            <div class="row col-md-8 offset-md-2">
                <div class="card">
                    <div class="card-header">
                        <h2 class="text-center"> Update Note <p th:text="${noteDto.id}"></p> </h2>
                    </div>
                    <div class="card-body"> 
                        <form role="form" method="post" 
                              th:object="${noteDto}" 
                              th:action="@{/admin/notes/update}">
                            <input type="hidden" th:field="*{id}" >
                             <input type="hidden" th:field="*{createdOn}" >
                            <div class="mb-3">
                                <label class="form-label"> Judul </label>
                                <input type="text" class="form-control"  
                                       placeholder="Enter Judul" 
                                       th:field="*{Judul}">
                                <p th:if="${#fields.hasErrors('Judul')}" 
                                   class="text-danger" th:errors="*{Judul}"></p>
                            </div>
                            <div class="mb-3">
                                <label class="form-label"> Isi </label>
                                <input type="text" class="form-control" 
                                       placeholder="Enter Isi" 
                                       th:field="*{Isi}">
                                <p th:if="${#fields.hasErrors('Isi')}" 
                                   class="text-danger" th:errors="*{Isi}"></p> 
                            </div>
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </form>
                    </div>
                </div>
            </div>
            </div>            
        </div>        
    </body>       
</html>
